Como faço para instalar uma versão anterior de um pacote npm?

Eu usei o nvm para baixar o nó v0.4.10 e instalei o npm para trabalhar com essa versão do nó.

Eu estou tentando instalar usando expresso

npm install express -g 

e recebo um erro que expressa requer versão do nó> = 0.5.0.

Bem, isso é estranho, já que estou seguindo as instruções para um tutorial node + express + mongodb aqui que usei o nó v0.4.10, então estou supondo que o express esteja / estivesse disponível para o nó v0.4.10. Se minha suposição estiver correta, como eu digo ao npm para buscar uma versão que funcione com minha configuração?

Se você tiver que instalar uma versão mais antiga de um pacote, basta especificá-lo

 npm install @ 

Por exemplo: npm install express@3.0.0

Você também pode adicionar o sinalizador --save a esse comando para incluí-lo em suas dependencies package.json ou em --save --save-exact flags se desejar a versão exata especificada em suas dependencies package.json.

O comando de install está documentado aqui: https://docs.npmjs.com/cli/install

Se você não tiver certeza de quais versões de um pacote estão disponíveis, você pode usar:

 npm view  versions 

E o npm view pode ser usado para ver outras coisas sobre um pacote. https://docs.npmjs.com/cli/view

É muito fácil. Basta escrever isso, por exemplo:

 npm install -g npm@4.6.1 

Ou:

 npm install -g npm@latest // For the last stable version npm install -g npm@next // For the most recent release 

Primeiro, remova a versão antiga e execute literalmente o seguinte:

 npm install express@3.X 

Na minha opinião, essa é a maneira mais fácil e rápida:

$ npm -v

4.2.0

$ npm install -g npm@latest-3

$ npm -v

3,10.10

você pode atualizar seu pacote npm usando este comando:

npm install @

exemplo: npm install yargs@12.02

No Ubuntu você pode tentar este comando.

 sudo npm cache clean -f sudo npm install -gn sudo n stable 

Versão específica: sudo n 8.11.3 em vez de sudo n stable

npm install -g npm @ version

em que você deseja fazer o downgrade

npm install -g npm@3.10.10